### Method

# Fwupd Device match_flags

since: 1.9.3

#### Declaration [src]

    gboolean
    fwupd_device_match_flags (
      FwupdDevice* self,
      FwupdDeviceFlags include,
      FwupdDeviceFlags exclude
    )

#### Description [src]

Check if the device flags match.

Available since: 1.9.3

#### Parameters

`include`

  Type: `FwupdDeviceFlags`

  `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.

`exclude`

  Type: `FwupdDeviceFlags`

  `FwupdDeviceFlags`, or `FWUPD_DEVICE_FLAG_NONE`.

#### Return value

Type: `gboolean`

`TRUE` if the device flags match.